View Issue Details

IDProjectCategoryView StatusLast Update
0000467Far Manager 1.7xDrive Menupublic2008-03-17 17:01
ReporterHaRTAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindows Server 2003OS VersionStandard SP2
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000467: Не пускает на плагинную панель; неправильные элемены панели
DescriptionЧто делаю:
1. Открываю на файловой панели сменный/ сетевой диск - показывается его корневая папка.
2. Вне Фара вынимаю/ отключаю диск - Фар не реагирует (ожидаемо).
3. Нажимаю CtrlR (Обновить) - появляется меню для выбора диска взамен пропавшего.
4. Выбираю не диск, а какой-нибудь панельный плагин (например, Network Browser).

Что ожидаю:
Что на панели отобразятся плагинные элементы (например, компьютеры рабочей группы).

Что получаю:
На панели выводятся файлы из папки плагина (в данном случае NetEng.hlf, NetEng.lng, NetRus.hlf, NetRus.lng, Network.dll), (не) раскрашенные в соответствии с логикой плагина. Если панель обновить, то всё приходит в норму.

Если шаги 1-4 проделать в том же экземпляре Фара с тем же плагином снова, то на панели уже покажется то, что и ожидается, но сразу будет снова выдано меню выбора диска, и так до тех пор, пока не выберешь либо "нетронутый плагин", либо диск.
Steps To ReproduceСм. Description
Additional Informationhttp://forum.farmanager.com/viewtopic.php?p=30732#p30732
TagsNo tags attached.
Build2329

Activities

alexy

2008-03-15 08:32

administrator   bugnote:0001330

фикесд, 2329, http://farmanager.com/farbugs/Far171b2329.rar

Issue History

Date Modified Username Field Change
2008-02-07 08:28 HaRT New Issue
2008-03-15 07:59 alexy Status new => assigned
2008-03-15 07:59 alexy Assigned To => alexy
2008-03-15 08:32 alexy Note Added: 0001330
2008-03-15 08:32 alexy Status assigned => feedback
2008-03-17 17:01 alexy Build => 2329
2008-03-17 17:01 alexy Status feedback => closed
2008-03-17 17:01 alexy Resolution open => fixed
2008-03-17 17:01 alexy Fixed in Version => 1.71